#!/usr/bin/env zsh

git checkout master

while [ true ];
do
    # Get the date
    git log | grep Date | head -n1
    # Get the total word count
    wc content/*.md -w | tail -n1 | sed -e 's/^[[:space:]]*//' | cut -d " " -f1
    git checkout 'HEAD^1' &> /dev/null
    if [ $? != 0 ]
    then
        break
    fi
done
